<?php
/*
Plugin Name: Edit Hopper
Plugin URI: http://google.com
Description: Edit Hopper is designed to make switching betweeen the child and parent edit pages simpler in the admin interface.
Version: 0.0.1
Author: Dylan Hildenbrand
Author URI: http://google.com
License: GPL2

Copyright 2013 Dylan Hildenbrand  (email : dylan.hildenbrand@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
function edit_hopper_main(){
    echo "<div class='ultimate-container'>";
		echo "<div class='hopper-title'><strong>Click a page to go to the edit page</strong></div></br>";
		
		$current = get_post($id);
		$parvar = $current->post_parent;
		if($parvar) {
			echo "<div class='hopper-parent-link'><a href='" . get_edit_post_link( $parvar) . "'>" 
			. get_post($parvar)->post_title . "</a></div>";
		}

		echo "<div class='hopper-current-link'>".get_post( $id)->post_title. "</div>";


		$args = array(
					'post_type' => 'page',
        			'child_of' => (get_post($id)->ID));
		$children = get_pages($args);
		if($children)
		{
			foreach ($children as $child) {
				echo "<div class='hopper-child-link'><a href='" . get_edit_post_link($child->ID) . "'>" 
				. get_post($child->ID)->post_title . "</a></div>";
			}
		}

    echo "</div>";
}

function edit_hopper_custom_box() {
	$screens = array( 'post', 'page' );

	foreach ( $screens as $screen ) {

	    add_meta_box(
	        'edit_hopper_box',
	        __( 'Edit Screen Page Hopper', 'edit_hopper_textdomain' ),
	        'edit_hopper_main',
	        $screen
	    );
	}
}
add_action( 'add_meta_boxes', 'edit_hopper_custom_box' );

// function edit_hopper_inner_box ( $post ) {

//   // Add an nonce field so we can check for it later.
//   wp_nonce_field( 'edit_hopper_inner_box', 'edit_hopper_inner_box_nonce' );

//   /*
//    * Use get_post_meta() to retrieve an existing value
//    * from the database and use the value for the form.
//    */
//   $value = get_post_meta( $post->ID, '_my_meta_value_key', true );

//   echo '<label for="myplugin_new_field">';
//        _e( "Description for this field", 'myplugin_textdomain' );
//   echo '</label> ';
//   echo '<input type="text" id="myplugin_new_field" name="myplugin_new_field" value="' . esc_attr( $value ) . '" size="25" />';

// }

// function edit_hopper_save_postdata( $post_id ) {
// 	// Check if our nonce is set.
//   if ( ! isset( $_POST['edit_hopper_inner_box_nonce'] ) )
//     return $post_id;

//   $nonce = $_POST['edit_hopper_inner_box_nonce'];

//   // Verify that the nonce is valid.
//   if ( ! wp_verify_nonce( $nonce, 'edit_hopper_inner_box' ) )
//       return $post_id;

//   // If this is an autosave, our form has not been submitted, so we don't want to do anything.
//   if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
//       return $post_id;

//   // Check the user's permissions.
//   if ( 'page' == $_POST['post_type'] ) {

//     if ( ! current_user_can( 'edit_page', $post_id ) )
//         return $post_id;
  
//   } else {

//     if ( ! current_user_can( 'edit_post', $post_id ) )
//         return $post_id;
//   }

//   /* OK, its safe for us to save the data now. */

//   // Sanitize user input.
//   $mydata = sanitize_text_field( $_POST['myplugin_new_field'] );

//   // Update the meta field in the database.
//   update_post_meta( $post_id, '_my_meta_value_key', $mydata );
// }
// add_action( 'save_post', 'edit_hopper_save_postdata' );
?>